Bug 178454 - init file is installed without execute permission through a link
init file is installed without execute permission through a link
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-20 14:10 EST by Paul Wouters
Modified: 2007-12-29 16:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-29 16:30:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2006-01-20 14:10:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
lrwxrwxrwx  1 root root  31 Jan 20 00:54 /etc/init.d/clamd-wrapper -> /usr/share/clamav/clamd-wrapper

[root@cdc ~]# ls -l /usr/share/clamav/clamd-wrapper
-rw-r--r--  1 root root 1863 Nov  7  2004 /usr/share/clamav/clamd-wrapper

I tried fixing this, but:

[root@cdc ~]# chmod 755 /usr/share/clamav/clamd-wrapper
[root@cdc ~]# /etc/init.d/clamd-wrapper restart
*** /etc/init.d/clamd-wrapper can not be called in this way
*** Please see /usr/share/doc/clamav-server-*/README how
*** the clamav-server can be configured

So it seems the init script should not be there?

I looked into this because cron was telling me:

Subject: Cron <root@cdc> /usr/share/clamav/freshclam-sleep

WARNING: update of clamav database is disabled; please see
  '/etc/sysconfig/freshclam'
  for information how to enable the periodic update resp. how to turn
  off this message.


Version-Release number of selected component (if applicable):
clamav-server-0.88-1.fc4

How reproducible:
Didn't try

Steps to Reproduce:
1. install all the clamav-* rpms
2.
3.
  

Actual Results:  I'm unclear how to properly start the automatic update mechanism. I figure installing clamav-update should do this (and not disabled automatic updating per default, as the documentation states, since installing to update package to me means "allow it to do networking to update virus difenitions").

Expected Results:  update should just update :)

Additional info:
Comment 1 Christian Iseli 2007-01-17 18:23:36 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 2 Paul Wouters 2007-01-18 10:28:11 EST
I'll leave that to the maintainer of clamav. FC4 was current/maintained when I
reported this. I do not know if this has been fixed in alter FC5/6 versions.
Comment 3 Michael Schwendt 2007-12-29 16:30:48 EST
The hints are in the output:

> # /etc/init.d/clamd-wrapper restart
> *** /etc/init.d/clamd-wrapper can not be called in this way
> *** Please see /usr/share/doc/clamav-server-*/README how
> *** the clamav-server can be configured

Check out that README file.

> WARNING: update of clamav database is disabled; please see
>   '/etc/sysconfig/freshclam'
>   for information how to enable the periodic update resp. how to turn
>   off this message.

Read /etc/sysconfig/freshclam and customise it appropriately.

Note You need to log in before you can comment on or make changes to this bug.